@keyframes animation-linear-progress-bar1 {
  0% {
    left: -35%;
    right: 100%;
  }

  60% {
    left: 100%;
    right: -90%;
  }

  100% {
    left: 100%;
    right: -90%;
  }
}

@keyframes animation-linear-progress-bar2 {
  0% {
    left: -200%;
    right: 100%;
  }
  60% {
    left: 107%;
    right: -8%;
  }
  100% {
    left: 107%;
    right: -8%;
  }
}

.linear-progress {
  position: relative;
  overflow: hidden;
  display: block;
  height: 4px;
  z-index: 0;
  background-color: rgb(158, 158, 213);

  &--bar1 {
    //width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    -webkit-transition: -webkit-transform 0.2s linear;
    transition: transform 0.2s linear;
    transform-origin: left;
    background-color: #000091;
    width: auto;
    -webkit-animation: animation-linear-progress-bar1 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
    animation: animation-linear-progress-bar1 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
  }

  &--bar2 {
    //width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    -webkit-transition: -webkit-transform 0.2s linear;
    transition: transform 0.2s linear;
    transform-origin: left;
    --LinearProgressBar2-barColor: #000091;
    background-color: var(--LinearProgressBar2-barColor, currentColor);
    width: auto;
    -webkit-animation: animation-linear-progress-bar2 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) 1.15s infinite;
    animation: animation-linear-progress-bar2 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) 1.15s infinite;
  }
}
